version: '3.2'
services:
  webserver:
    restart: always
    build:
      context: .
      dockerfile: ./webserver/Dockerfile
    ports:
      - '${PORT_WEBSERVER}:80'
      - 60010:6001
    volumes:
      - ../.:/app
    environment:
      WEB_DOCUMENT_INDEX: index.php
      VIRTUAL_HOST: '${HOSTNAME}'
      LETSENCRYPT_HOST: '${HOSTNAME}'
      LETSENCRYPT_EMAIL: '${EMAIL}'
    container_name: '${PROJECT_NAME}_webserver'
networks:
  default:
    external:
      name: mysql-80
